@echo off
setlocal
REM  Licensed Materials - Property of IBM
REM  Restricted Materials of IBM
REM 
REM  Copyright IBM Corp. 2007 All Rights Reserved.
REM  US Government Users Restricted Rights - Use, duplication or
REM  disclosure restricted by GSA ADP Schedule Contract with
REM  IBM Corp.
REM 
REM  Release Name: omsap_620
REM 
REM  Description: Copy the patch xml file into the depot
REM               so that the remote deploy GUI panel is updated.
REM
REM  Parameters:
REM    CANDLEHOME, prompt if not found
REM
REM  Returns:
REM    None
REM ======================================================
REM

REM Patch information
set XML_SRC=KCFWICMA.ver
REM set XML_DST=sa_dd_062000008.xml
REM set XML_DEPOT=sa_dd_062000000.xml
REM set SA_PROP=sa_dd.properties

REM ask for the ITM 6.2 install directory if not in the environment
if not exist "%CANDLE_HOME%"\InstallITM\ver (
:chkagain
  SET CANDLE_HOME=
  SET /P CANDLE_HOME=Enter the path of the IBM Tivoli Monitoring directory or q to quit:
)
if "%CANDLE_HOME%" == "q" goto exit
if not exist "%CANDLE_HOME%"\InstallITM\ver (
  echo ERROR: %CANDLE_HOME%\InstallITM\ver was not found...
  goto chkagain
)

REM get the current working directory
REM for /f %%i in ('cd') do set cwd=%%i

REM SET ANS=
REM SET /P ANS=Are you sure you want to patch the depot for %PATCHID%, enter (y/n):
REM if not "%ANS%" == "y" goto exit

REM cd to the destination directory and do the copy
REM for /D %%i in (%CANDLE_HOME%) do ( 
REM %%~di
REM )
REM cd "%CANDLE_HOME%"\cms\Depot\Packages
REM for /f %%i in ('dir /b /s %XML_DEPOT%') do ( 
REM  echo Modifying %%~pi%XML_DST%
REM  copy %cwd%\%XML_SRC% %%~pi%XML_DST%
REM  echo Modifying %%~pi%SA_PROP%
REM  copy %cwd%\%SA_PROP% %%~pi%SA_PROP%
REM )

copy %XML_SRC% %CANDLE_HOME%\InstallITM\ver

echo copy_kcf_ver.bat completed...

goto complete

:exit

echo copy_kcf_ver.bat exiting...

:complete

endlocal
